import React, { useState, useEffect, useRef } from 'react';
import { Select } from 'antd';
import apis from '../../services/apis';
import request from '../../utils/request'

const { Option } = Select;

function usePrevious(props) {
  const ref = useRef();
  useEffect(() => {
    ref.current = props;
  });
  return ref.current;
}

/**
 *
 *
 * @param {*} props
 * @returns
 */
const MiniappIconSelect = props => {
  const [data, setData] = useState([])
  const [value, setValue] = useState([])
  useEffect(() => {
    getMiniappIconSelect();
  }, [props.value])


  const getMiniappIconSelect = e => {
    request({ ...apis.icon.minippIconList, params: { pageNum: 1, pageSize: 999 } }).then(data => {
        setData(data)
        checkValue(data)
        // 默认选中第一个
    })
  }


  const checkValue = (data) => {
    if (props.value) {
      const tempData = data.filter(f => f.iconCode == props.value)
      const va = (tempData.length > 0) ? props.value : ''
      props.onChange(va)

    }
  }

  return (
      <Select
      showSearch
      value={props.value}
      style={{ width: '300px' }}
      placeholder="请选择功能"
      onChange={props.onChange}
      filterOption={(input, option) =>
        option.props.children && option.props.children.toLowerCase().indexOf(input.toLowerCase()) >= 0
      }>
          {data.map(icon => (
            <Option key={icon.iconCode} value={icon.iconCode}>{icon.iconName}</Option>
          ))}
      </Select>
  )
}
export default MiniappIconSelect
